@import './../../../../../shared/styles/variables';

zs-case-phase-view{
	min-height: 0px;
}

zs-case-phase-view,
zs-case-document-view {
	height:100%;
	width:100%;
	display: flex;
	flex-direction:column;
	flex-grow:1;
}

.phase-body {
	display: flex;
	flex-direction: row;
	flex-grow:1;
	position:relative;
	overflow-x: hidden;
	min-height: 0px;
}

.phase-form-container {
	overflow: auto;
	display: flex;
	flex:1;
	min-height: 0px;
	min-width: 0px;
	position:relative;
}

.phase-form-wrap {
	flex: 1;
    min-height: 0px;
    //transition: width 0.05s ease-in-out;
    overflow-y: auto;
}

.phase-form {
	min-width: 100%;
	padding-bottom:7rem;

	.vorm-field-item {
		position: relative;
		border-bottom:1px solid $border-color;
		padding:1.5em 0 1.5em 0;

		vorm-field.hidden {
			opacity: 0.5;
		}

		vorm-field.system .form-field-label {
			font-style: italic;
		}

		.vorm-field-item-extra {
			display: flex;
			flex-flow: column nowrap;
			align-items: flex-end;
			position: absolute;
			left: 0rem;
			width: 1.5rem;
			top: 1.25rem;
			z-index: 1;
			.vorm-field-item-extra-permissions {
				padding-top: 0.25rem;
			}
		}

		&.highlighted {
			background-color: $light-yellow;
		}

		&.highlighted-add,
		&.highlighted-remove {
			transition: background-color 0.35s ease-out;
		}

		&:hover{
			.vorm-clear{
				display: block;
			}
		}
		.vorm-field-item-extra-icon {
			visibility: hidden;
			font-size:1.1rem;
			color:$light-grey;
			&.vorm-field-item-extra-rule-error {
				visibility: visible;
			}
			&:hover{color:#000;}
		}

		&:hover {
			.vorm-field-item-extra-icon {
				visibility: visible;
			}
		}
	}
	.vorm-fieldset-label,
	.vorm-fieldset-description{
		padding: 0 2rem;
	}
	.form-field-meta,
	.form-field-control-wrapper{
		width:auto;
		padding:0 2rem;
	}
	.value-list.empty.disabled::before {
		content: '-';
	}
	.value-validity-required {
		display: none;
	}
	fieldset{
		margin-bottom:3em;
		min-width: 0px;
	}
	.attribute-type-text_block .form-field-control-wrapper{
		width:100%;
	}
}

.phase-form-empty{
	padding:0 2rem 2.5rem;
	color:#999;
}

.phase-header {
	display: flex;
	padding: 1.5rem 1.5rem 1.5rem 2rem;
	align-items: center;
	width:100%;
	background: rgba(255,255,255,.9);
	z-index: 1;

}

.phase-header-inner{
	display: flex;
	max-width:75rem;
	width:100%;
	margin:0 auto;
	.phase-header-options {
		display: none;
	}
	&:hover {
		.phase-header-options {
			display: flex;
		}
	}
}

.phase-header-options {
	padding: 0 0.5em;
}

.phase-header-option {
	width: 2.4em;
	height: 2.4em;
	padding: 0;
	color: $grey;
}

.phase-header-status {

	margin-right: 0rem;
	position: absolute;
	right: 1rem;
	top:.5rem;
	padding: 1rem .75rem 1rem 1rem;
	z-index: 2;
	margin-right:5.5rem;

	.phase-header-validation-messages {

		transition: 0.15s opacity ease-out;

		&.ng-enter {
			opacity: 0;
		}
		&.ng-enter-active {
			opacity: 1;
		}
		&.ng-leave {
			opacity: 1;
		}
		&.ng-leave-active {
			opacity: 0;
		}
	}

	.phase-validation-message {
		line-height: 1.2em;
		display: block;
		padding: 0;
		margin:0 0 12px;
		text-decoration: none;

		> a, 
		> button {
			@include button-reset();
			color: $primary-color;
			padding: 0;
			> zs-icon {
				display: none;
			}
		}
		> a[href], 
		> button{
			span:hover{
				text-decoration: underline;
			}
		}
		&.disabled {
			> a ,
			> button {
				color: inherit;
			}
		}
		&.has-icon {
			zs-icon {
				display: inline-block;
			}
			> a > span,
			> button > span {
				padding-left: 5px;
			}
		}
	}
}

.phase-unlock-button{
	margin-right:1rem;
	margin-top:.25rem;
}

.phase-header-title {
	flex-grow: 1;
}

.phase-header-title,
.phase-header-status,
zs-case-phase-sidebar {
	display: flex;
}

.phase-deadline {
	margin-left: 5px;

	&.missed{
		color: $red;
	}
	&.stalled{
		color: $grey;
	}
}

zs-case-phase-sidebar {
	flex-direction: column;
}

.phase-advance-button {
	background: $accent-color;
	border: none;
	border-radius: $border-radius;
	height: auto;
	width: auto;
	color: #000;
	text-transform: uppercase;
	font-weight: 500;
	line-height: normal;
	padding: 0;
	font-size:.9333rem;
	box-shadow:0 1px 2px rgba(0,0,0,0.5), 0 0 15px 20px rgba(255,255,255,.85);
	> .phase-advance-button-inner {
		padding: 0.4rem .4rem;
	}
	zs-icon{
		font-size:1rem;
	}
	&:disabled {
		background: rgba(255,255,255,.8);
		box-shadow: 0 0 15px 10px rgba(255,255,255,.8);
		color: $grey;
		text-transform: none;
		font-weight: normal;
		> .phase-advance-button-inner {
			padding:0.5em;
		}
		text-align: left;
		max-width:200px;
		position: relative;

		zs-icon i{
			color:#999;
			font-size:1.6em;
		}

		&:hover{
			box-shadow: none;
		}
	}
	&:hover{
		box-shadow:0 2px 4px rgba(0,0,0,0.4);
		&.invalid:not(.resolved),
		&.invalid:not(.resolved) .mdi{
			color:darken($red,5%);
		}
	}
	&.invalid:not(.resolved),
	&.invalid:not(.resolved) .mdi{
		color:$red;
		background: #f5f5f5;
		

	}
	&.invalid:not(.resolved){
		box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2), 0 0 15px 20px rgba(255,255,255,.85);
		> .phase-advance-button-inner {
			padding:0.3rem .5rem;
		}
	}
}

.phase-advance-button-inner{
	display: flex;
	align-items: center;	
}

.phase-advance-button-icon i {
	line-height: normal;
	height: auto;
}

.phase-advance-button-label{
	display: none;
}

.phase-advance-button-icon{
	display: flex;
}

.phase-header-validation-messages{
	position: absolute;
	width:200px;
	max-height:400px;
	overflow: auto;
	box-shadow:0 1px 4px rgba(0, 0, 0, 0.35);
	padding:1em;
	margin: 0;
	z-index:1;
	background:#fff;
	> li{
		padding:.5em 0;
	}
}

.phase-header-validation-messages-title{
	font-size:.85rem;
	font-weight: 500;
	color:#999;
	margin-bottom:1rem;
	display: block;
	border-bottom:1px solid #eee;
	padding-bottom:.5rem;
}

// attribute change request

.attribute-update-request{
	padding:.5rem 2rem 0;
}

.attribute-update-request-description{
	width:100%;
	padding:5px;
}

.attribute-update-request-form{

	button{
		display: inline-block;
		margin-top:6px;
		margin-right:2px;
	}
}

.form-back-to-top{
	padding: 0px 30px;
}

@media #{$medium-and-up} {
	.phase-advance-button {
		 > .phase-advance-button-inner {
		 	padding:.4rem .9rem;
		 	.phase-advance-button-icon{
		 		margin-right:10px;
		 	}
		 }
		zs-icon{
			margin-right:8px;
		}
		&.invalid:not(.resolved){
			> .phase-advance-button-inner {
				padding:.5rem .7rem;
			}
		}
	}
	.phase-advance-button-label{
		display: flex;
	}
	
	.phase-header-validation-messages{
		width:400px;
	}
	.phase-header-status{
		right:1.5rem;
	}
}

@media #{$large-and-up} {
	.phase-form-wrap-inner{
		max-width:100%;
		padding:0 2.5rem;
		margin:auto;
		.form-field-meta	{
			padding-top:0;
			padding-right:0;
			padding-left:0;
		}
		.form-field-control-wrapper{
			padding:0em;
		}
	}
	.phase-form{
		vorm-field{
			margin-right:-2rem;
			margin-left:-2rem;
			padding-left:2rem;
			padding-right:2rem;
		}
		.vorm-field-item{
			.vorm-field-item-extra {
				left: -1.75rem;
			}
		}
	}
	.phase-form-empty{
		padding:0 0 2.5rem;
	}
	.phase-header{
		padding: 1.5rem 0;
	}
	.phase-body{
		.vorm-fieldset-label,
		.vorm-fieldset-description{
			padding: 0;
		}
		.vorm-fieldset-description{
			display: block;
			margin-bottom:1rem;
			line-height: 1.6;
		}
	}
	.phase-header-status{
		justify-content: flex-end;
		margin-right:0rem;
		padding:1.5rem 1.25rem 1.5rem 2.5rem;
		right:1.25rem;
	}
	.attribute-update-request{
		padding:.5rem 0 0;
	}
	.form-back-to-top{
		padding: 0;
	}
}

@media #{$large-only}{
	.phase-body.sidebar-collapsed .phase-form-wrap-inner,
	.phase-form-wrap-inner{
		max-width:70rem;
	}
	zs-case-phase-sidebar {
		display: flex;
	}
}

@media #{$xl-only} {
	.phase-form{
		vorm-field,
		.vorm-field {
			display: flex;
		}
		.form-field-label,
		.form-field-value-list{
			flex-grow:1;
		}
		.form-field-label{
			padding:0;
		}
		.form-field-meta{
			width:40%;
			padding:0 2% 0 0;
		}
		.form-field-control-wrapper{
			width:60%;
		}
	}
	.attribute-update-request{
		margin-left:40%;
	}
}

@media #{$small-and-down} {
	.phase-header-validation-messages {
		position: fixed;
		width: auto;
		left: 10px !important;
		right:10px;
		bottom: 100px;
		max-height:none;
		height:auto;
		margin-top:10px;
	}
}
